#ifndef _MAIN_H
#define _MAIN_H

#include "main.decl.h"
#include "testcharm.h"

extern CkChareID mainhandle;

class main : public Chare
{
  private:
    double starttests;
    int *msgOrder;
    unsigned char *genRandom;
  public:
    main(CkArgMsg*);
    void testend(Msg *);
};

#endif
